org.yaml.snakeyaml.nodes

## Enum NodeId

- java.lang.Object
- - java.lang.Enum<NodeId>
  - - org.yaml.snakeyaml.nodes.NodeId

All Implemented Interfaces:
  Serializable, Comparable<NodeId>

    public enum NodeId
    extends Enum<NodeId>

Enum for the basic YAML types: scalar, sequence, mapping or anchor.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`anchor`
`mapping`
`scalar`
`sequence`

### Method Summary

Methods
`static NodeId` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeId[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### scalar

    public static final NodeId scalar

#### sequence

    public static final NodeId sequence

#### mapping

    public static final NodeId mapping

#### anchor

    public static final NodeId anchor

### Method Detail

#### values

    public static NodeId[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NodeId c : NodeId.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NodeId valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null